package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.entity.TEStudent;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Description: 学生档案 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TEStudentMapper extends BaseMapper<TEStudent> {

    /**
     * 学生档案查询
     *
     * @param iPage
     * @param identity
     * @param name
     * @param enable
     * @return
     */
    public IPage<Map> studentQuery(IPage<Map> iPage, @Param("identity") String identity, @Param("name") String name, @Param("enable") Integer enable);

    /**
     * 学生考试记录查询
     *
     * @param iPage
     * @param id
     * @param name
     * @return
     */
    public IPage<Map> studentExamRecordQuery(IPage<Map> iPage, @Param("id") Long id, @Param("name") String name);
}
